> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Analytics Timeseries

> Get time-series analytics for a project.
Optionally filter by a specific app within the project.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json get /api/v1/projects/{project_slug}/analytics/timeseries
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/projects/{project_slug}/analytics/timeseries:
    get:
      tags:
        - Projects
      summary: Get Analytics Timeseries
      description: |-
        Get time-series analytics for a project.
        Optionally filter by a specific app within the project.
      operationId: api_projects_router_get_analytics_timeseries
      parameters:
        - in: path
          name: project_slug
          schema:
            title: Project Slug
            type: string
          required: true
        - in: query
          name: app_slugs
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: App Slugs
          required: false
        - in: query
          name: environment
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Environment
          required: false
        - in: query
          name: since
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Since
          required: false
        - in: query
          name: until
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Until
          required: false
        - in: query
          name: timezone
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Timezone
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AnalyticsTimeseriesPointResponse'
                title: Response
                type: array
      security:
        - JWTBearer: []
components:
  schemas:
    AnalyticsTimeseriesPointResponse:
      properties:
        bucket:
          format: date-time
          title: Bucket
          type: string
        total_requests:
          title: Total Requests
          type: integer
        error_count:
          title: Error Count
          type: integer
        error_rate:
          title: Error Rate
          type: number
        avg_response_time_ms:
          title: Avg Response Time Ms
          type: number
        p95_response_time_ms:
          title: P95 Response Time Ms
          type: number
        total_request_bytes:
          title: Total Request Bytes
          type: integer
        total_response_bytes:
          title: Total Response Bytes
          type: integer
      required:
        - bucket
        - total_requests
        - error_count
        - error_rate
        - avg_response_time_ms
        - p95_response_time_ms
        - total_request_bytes
        - total_response_bytes
      title: AnalyticsTimeseriesPointResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````